LibOFX

Public Member Functions
LibofxContext Class Reference

## Public Member Functions
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
int | positionCallback (const struct OfxPositionData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)
void | setPositionCallback (LibofxProcPositionCallback cb, void *user_data)
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
int | positionCallback (const struct OfxPositionData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)
void | setPositionCallback (LibofxProcPositionCallback cb, void *user_data)

## Detailed Description

Definition at line 25 of file build/libofx-0.10.0/lib/context.hh.

The documentation for this class was generated from the following files:

- build/libofx-0.10.0/lib/context.hh
- build/libofx-0.10.0/lib/context.cpp